%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate pest

Name:           rust-pest
Version:        2.7.6
Release:    1%{?dist}
Summary:        Elegant Parser

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/pest
Source0:         %{crates_source}
Patch:          pest-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
The Elegant Parser.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/_README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+const_prec_climber-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+const_prec_climber-devel %{_description}

This package contains library source intended for building other packages which
use the "const_prec_climber" feature of the "%{crate}" crate.

%files       -n %{name}+const_prec_climber-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+memchr-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+memchr-devel %{_description}

This package contains library source intended for building other packages which
use the "memchr" feature of the "%{crate}" crate.

%files       -n %{name}+memchr-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+pretty-print-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+pretty-print-devel %{_description}

This package contains library source intended for building other packages which
use the "pretty-print" feature of the "%{crate}" crate.

%files       -n %{name}+pretty-print-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.7.6-1
- initial build
